package com.bonus.canteen.core.account.v3.api.vo;

import java.math.BigDecimal;
import java.util.List;

public class AccTradeOrderBalanceVO {
   private Long accTradeId;
   private Long leOrdNo;
   private BigDecimal walletBalTotal;
   private List<AccTradeOrderWalletPayVO> walletPayDetail;

   public Long getAccTradeId() {
      return this.accTradeId;
   }

   public Long getLeOrdNo() {
      return this.leOrdNo;
   }

   public BigDecimal getWalletBalTotal() {
      return this.walletBalTotal;
   }

   public List<AccTradeOrderWalletPayVO> getWalletPayDetail() {
      return this.walletPayDetail;
   }

   public AccTradeOrderBalanceVO setAccTradeId(final Long accTradeId) {
      this.accTradeId = accTradeId;
      return this;
   }

   public AccTradeOrderBalanceVO setLeOrdNo(final Long leOrdNo) {
      this.leOrdNo = leOrdNo;
      return this;
   }

   public AccTradeOrderBalanceVO setWalletBalTotal(final BigDecimal walletBalTotal) {
      this.walletBalTotal = walletBalTotal;
      return this;
   }

   public AccTradeOrderBalanceVO setWalletPayDetail(final List<AccTradeOrderWalletPayVO> walletPayDetail) {
      this.walletPayDetail = walletPayDetail;
      return this;
   }

}
